Package org.kie.internal.runtime.manager.deploy

# Class DeploymentDescriptorImpl

java.lang.Object
org.kie.internal.runtime.manager.deploy.DeploymentDescriptorImpl

All Implemented Interfaces:
  `Serializable`, `DeploymentDescriptor`

public class DeploymentDescriptorImpl extends Object implements DeploymentDescriptor, Serializable

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from interface org.kie.internal.runtime.conf.DeploymentDescriptor

  `META_INF_LOCATION, TYPE_ALL, TYPE_EXECUTE, TYPE_VIEW`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeploymentDescriptorImpl()`
  `DeploymentDescriptorImpl(String defaultPU)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<ObjectModel>`
  `cleanList(List<ObjectModel> input)`
  `protected Set<NamedObjectModel>`
  `cleanNamedSet(Set<NamedObjectModel> input)`
  `protected Set<ObjectModel>`
  `cleanSet(Set<ObjectModel> input)`
  `DeploymentDescriptor`
  `clearClone()`
  `AuditMode`
  `getAuditMode()`
  Returns the audit type configuration
  `String`
  `getAuditPersistenceUnit()`
  Returns name of the JPA persistence unit to be used by audit component non empty should correspond to defined persistence unit in persistence.xml null to use default persistence unit
  `DeploymentDescriptorBuilder`
  `getBuilder()`
  Returns implementation specific builder to construct instances of the descriptor;
  `List<String>`
  `getClasses()`
  Returns additional classes that shall be added to remote services context.
  `List<NamedObjectModel>`
  `getConfiguration()`
  List of kiesession configuration entries to be registered
  `List<NamedObjectModel>`
  `getEnvironmentEntries()`
  List of (kie) environment entries to be registered
  `List<ObjectModel>`
  `getEventListeners()`
  Returns list of event listeners (process, agenda, rule runtime) to be applied on `KieSession`
  `List<NamedObjectModel>`
  `getGlobals()`
  Return list of globals to be applied on `KieSession`
  `Boolean`
  `getLimitSerializationClasses()`
  Returns whether or not the classes used in the serialization mechanism are limited to classes annotated with @`Remotable`, @`XmlRootElement`, or @`XmlType`.
  `List<ObjectModel>`
  `getMarshallingStrategies()`
  Returns list of object marshaling strategies to be applied on `KieSession`
  `PersistenceMode`
  `getPersistenceMode()`
  Returns the runtime engine persistence type configuration
  `String`
  `getPersistenceUnit()`
  Returns name of the JPA persistence unit to be used for runtime engine non empty should correspond to defined persistence unit in persistence.xml null to use default persistence unit
  `List<String>`
  `getRequiredRoles()`
  Returns all required roles required to be granted access to the deployment.
  `List<String>`
  `getRequiredRoles(String type)`
  Returns required for given type of applicability.
  `RuntimeStrategy`
  `getRuntimeStrategy()`
  Returns runtime strategy to be used, default Singleton.
  `List<ObjectModel>`
  `getTaskEventListeners()`
  Returns list of task event listeners to be applied on `KieSession`
  `List<NamedObjectModel>`
  `getWorkItemHandlers()`
  Return list of work item handlers to be applied on `KieSession`
  `boolean`
  `isEmpty()`
  `protected void`
  `mapRequiredRoles()`
  `protected void`
  `removeTransient(Collection<?> input)`
  `void`
  `setAuditMode(AuditMode auditMode)`
  `void`
  `setAuditPersistenceUnit(String auditPersistenceUnit)`
  `void`
  `setClasses(List<String> classes)`
  `void`
  `setConfiguration(List<NamedObjectModel> configuration)`
  `void`
  `setEnvironmentEntries(List<NamedObjectModel> environmentEntires)`
  `void`
  `setEventListeners(List<ObjectModel> eventListeners)`
  `void`
  `setGlobals(List<NamedObjectModel> globals)`
  `void`
  `setLimitSerializationClasses(Boolean limitSerializationClasses)`
  `void`
  `setMarshallingStrategies(List<ObjectModel> marshallingStrategies)`
  `void`
  `setPersistenceMode(PersistenceMode persistenceMode)`
  `void`
  `setPersistenceUnit(String persistenceUnit)`
  `void`
  `setRequiredRoles(List<String> requiredRoles)`
  `void`
  `setRuntimeStrategy(RuntimeStrategy runtimeStrategy)`
  `void`
  `setTaskEventListeners(List<ObjectModel> taskEventListeners)`
  `void`
  `setWorkItemHandlers(List<NamedObjectModel> workItemHandlers)`
  `String`
  `toString()`
  `String`
  `toXml()`
  Returns XML representation of this descriptor instance

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeploymentDescriptorImpl

    public DeploymentDescriptorImpl()

  - ### DeploymentDescriptorImpl

    public DeploymentDescriptorImpl(String defaultPU)

- ## Method Details

  - ### mapRequiredRoles

    protected void mapRequiredRoles()

  - ### getPersistenceUnit

    public String getPersistenceUnit()
    Description copied from interface: `DeploymentDescriptor`
    Returns name of the JPA persistence unit to be used for runtime engine
    - non empty should correspond to defined persistence unit in persistence.xml
    - null to use default persistence unit
    Specified by:
      `getPersistenceUnit` in interface `DeploymentDescriptor`
    Returns:
      non empty string should correspond to defined persistence unit in persistence.xml, in case null is returned persistence will use default one - org.jbpm.domain

  - ### getAuditPersistenceUnit

    public String getAuditPersistenceUnit()
    Description copied from interface: `DeploymentDescriptor`
    Returns name of the JPA persistence unit to be used by audit component
    - non empty should correspond to defined persistence unit in persistence.xml
    - null to use default persistence unit
    Specified by:
      `getAuditPersistenceUnit` in interface `DeploymentDescriptor`
    Returns:
      non empty string should correspond to defined persistence unit in persistence.xml, in case null is returned persistence will use default one - org.jbpm.domain

  - ### getAuditMode

    public AuditMode getAuditMode()
    Description copied from interface: `DeploymentDescriptor`
    Returns the audit type configuration
    Specified by:
      `getAuditMode` in interface `DeploymentDescriptor`
    Returns:

  - ### getPersistenceMode

    public PersistenceMode getPersistenceMode()
    Description copied from interface: `DeploymentDescriptor`
    Returns the runtime engine persistence type configuration
    Specified by:
      `getPersistenceMode` in interface `DeploymentDescriptor`
    Returns:

  - ### getRuntimeStrategy

    public RuntimeStrategy getRuntimeStrategy()
    Description copied from interface: `DeploymentDescriptor`
    Returns runtime strategy to be used, default Singleton.
    Specified by:
      `getRuntimeStrategy` in interface `DeploymentDescriptor`
    Returns:

  - ### getMarshallingStrategies

    public List<ObjectModel> getMarshallingStrategies()
    Description copied from interface: `DeploymentDescriptor`
    Returns list of object marshaling strategies to be applied on `KieSession`
    Specified by:
      `getMarshallingStrategies` in interface `DeploymentDescriptor`
    Returns:

  - ### getEventListeners

    public List<ObjectModel> getEventListeners()
    Description copied from interface: `DeploymentDescriptor`
    Returns list of event listeners (process, agenda, rule runtime) to be applied on `KieSession`
    Specified by:
      `getEventListeners` in interface `DeploymentDescriptor`
    Returns:

  - ### getGlobals

    public List<NamedObjectModel> getGlobals()
    Description copied from interface: `DeploymentDescriptor`
    Return list of globals to be applied on `KieSession`
    Specified by:
      `getGlobals` in interface `DeploymentDescriptor`
    Returns:

  - ### getWorkItemHandlers

    public List<NamedObjectModel> getWorkItemHandlers()
    Description copied from interface: `DeploymentDescriptor`
    Return list of work item handlers to be applied on `KieSession`
    Specified by:
      `getWorkItemHandlers` in interface `DeploymentDescriptor`
    Returns:

  - ### getTaskEventListeners

    public List<ObjectModel> getTaskEventListeners()
    Description copied from interface: `DeploymentDescriptor`
    Returns list of task event listeners to be applied on `KieSession`
    Specified by:
      `getTaskEventListeners` in interface `DeploymentDescriptor`
    Returns:

  - ### getEnvironmentEntries

    public List<NamedObjectModel> getEnvironmentEntries()
    Description copied from interface: `DeploymentDescriptor`
    List of (kie) environment entries to be registered
    Specified by:
      `getEnvironmentEntries` in interface `DeploymentDescriptor`
    Returns:

  - ### getConfiguration

    public List<NamedObjectModel> getConfiguration()
    Description copied from interface: `DeploymentDescriptor`
    List of kiesession configuration entries to be registered
    Specified by:
      `getConfiguration` in interface `DeploymentDescriptor`
    Returns:

  - ### getRequiredRoles

    public List<String> getRequiredRoles()
    Description copied from interface: `DeploymentDescriptor`
    Returns all required roles required to be granted access to the deployment. Empty list or null means no security will be applied.
    Specified by:
      `getRequiredRoles` in interface `DeploymentDescriptor`
    Returns:

  - ### getRequiredRoles

    public List<String> getRequiredRoles(String type)
    Description copied from interface: `DeploymentDescriptor`
    Returns required for given type of applicability. Supported types are:
    - all
    - view
    - execute
    Specified by:
      `getRequiredRoles` in interface `DeploymentDescriptor`
    Parameters:
      `type` - indicates the type which required roles shoud apply
    Returns:

  - ### getClasses

    public List<String> getClasses()
    Description copied from interface: `DeploymentDescriptor`
    Returns additional classes that shall be added to remote services context. All classes that directly belong to kjar (or are declared as dependency of type kjar) do not need to be listed as part of this collection.
    Specified by:
      `getClasses` in interface `DeploymentDescriptor`
    Returns:

  - ### setPersistenceUnit

    public void setPersistenceUnit(String persistenceUnit)

  - ### setAuditPersistenceUnit

    public void setAuditPersistenceUnit(String auditPersistenceUnit)

  - ### setAuditMode

    public void setAuditMode(AuditMode auditMode)

  - ### setPersistenceMode

    public void setPersistenceMode(PersistenceMode persistenceMode)

  - ### setRuntimeStrategy

    public void setRuntimeStrategy(RuntimeStrategy runtimeStrategy)

  - ### setMarshallingStrategies

    public void setMarshallingStrategies(List<ObjectModel> marshallingStrategies)

  - ### setEventListeners

    public void setEventListeners(List<ObjectModel> eventListeners)

  - ### setTaskEventListeners

    public void setTaskEventListeners(List<ObjectModel> taskEventListeners)

  - ### setGlobals

    public void setGlobals(List<NamedObjectModel> globals)

  - ### setWorkItemHandlers

    public void setWorkItemHandlers(List<NamedObjectModel> workItemHandlers)

  - ### setEnvironmentEntries

    public void setEnvironmentEntries(List<NamedObjectModel> environmentEntires)

  - ### setConfiguration

    public void setConfiguration(List<NamedObjectModel> configuration)

  - ### setRequiredRoles

    public void setRequiredRoles(List<String> requiredRoles)

  - ### setClasses

    public void setClasses(List<String> classes)

  - ### getLimitSerializationClasses

    public Boolean getLimitSerializationClasses()
    Description copied from interface: `DeploymentDescriptor`
    Returns whether or not the classes used in the serialization mechanism are limited to classes annotated with @`Remotable`, @`XmlRootElement`, or @`XmlType`. In the 6.x branches, the default is false (classes are not limited.) In the 7.x branches, the default is true (classes are limited.)
    Specified by:
      `getLimitSerializationClasses` in interface `DeploymentDescriptor`
    Returns:
      a `Boolean`

  - ### setLimitSerializationClasses

    public void setLimitSerializationClasses(Boolean limitSerializationClasses)

  - ### cleanNamedSet

    protected Set<NamedObjectModel> cleanNamedSet(Set<NamedObjectModel> input)

  - ### cleanSet

    protected Set<ObjectModel> cleanSet(Set<ObjectModel> input)

  - ### cleanList

    protected List<ObjectModel> cleanList(List<ObjectModel> input)

  - ### removeTransient

    protected void removeTransient(Collection<?> input)

  - ### clearClone

    public DeploymentDescriptor clearClone() throws CloneNotSupportedException
    Throws:
      `CloneNotSupportedException`

  - ### isEmpty

    public boolean isEmpty()

  - ### getBuilder

    public DeploymentDescriptorBuilder getBuilder()
    Description copied from interface: `DeploymentDescriptor`
    Returns implementation specific builder to construct instances of the descriptor;
    Specified by:
      `getBuilder` in interface `DeploymentDescriptor`
    Returns:

  - ### toXml

    public String toXml()
    Description copied from interface: `DeploymentDescriptor`
    Returns XML representation of this descriptor instance
    Specified by:
      `toXml` in interface `DeploymentDescriptor`
    Returns:

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`